<script>
var formid = 0
const getById = (id) => {

var data = '<%- JSON.stringify(Options.MultiFormOptions)%>'
const resposta = JSON.parse(data).find((item) => {
return item.id === id
});

return resposta

}

function checkCss(number){
if(getById(number).resetCss){

}
}
function setIndicator(number){
var indicator = document.getElementById('indicator').getElementsByTagName("div")

for(var i =0; i< indicator.length;i++){

if(indicator[i].id == 'path' +number){
  indicator[i].setAttribute("style","background-color:rebeccapurple; display:inline;")
}else{
  indicator[i].setAttribute("style","background-color:none; display:inline;")

}
}
}



function FillIndicator(){
var indicator = document.getElementById('indicator')
var listViewArray = '<%- JSON.stringify(Options.MultiFormOptions) %>'; // test is now a valid js object
var json = JSON.parse(listViewArray)
console.log(listViewArray)
var caminho = ''
for(var i = 0; i < json.length; i++){
 if(json[i].customscript != undefined){
caminho += '<li><div id="path'+i+'" class="path" script="'+json[i].customscript+'" value="'+i+'">' + json[i].placeholder + '</div></li>'
 }else{
  caminho += '<li><div id="path'+i+'" class="path" value="'+i+'">' + json[i].placeholder + '</div></li>'
 }
}
indicator.innerHTML = caminho
$('.path').click(function (e){
  var script = $(this).attr('script')
  console.log(script)
 if(script != undefined){
   console.log(script)
 
   setTimeout(function() { script }, 1000);

 }
         })
      
}
function back(){
  if(formid > 0){
     formid--
  }
  nextPage(formid)

}
function next(){
  if(formid < totalLenght - 1){
     formid++
  
 }
 
  nextPage(formid)

}

  var OptionsLenght = parseInt('<%- Options.MultiFormOptions.lenght %>')



function nextPage(number){
var pageid = 'Step' + number
var elms = document.getElementById('Steps').getElementsByTagName("*");
for (var i = 0; i < elms.length; i++) {
if(elms[i].id.includes('Step')){
if(elms[i].id == pageid){
var style = getById(parseInt(number)).style
elms[i].setAttribute("style","display: block;")

}else if (elms[i].id != pageid){
  elms[i].setAttribute("style","display: none;")
}
}   
}      
setIndicator(number)
}
var session = '<%- session %>'
var id = '<%- id %>'
FillForm('myForm',session)

FillIndicator()

if(id){ 
  nextPage(parseInt(id))
}else{
  nextPage(0)
}

if(JSON.parse(session).convidadosLista){
for(i = 0; i < JSON.parse(session).convidadosLista.length; i++){
         
         AddConvit(JSON.parse(session).convidadosLista[i].convidado,JSON.parse(session).convidadosLista[i].email)
           setCheckbox(i,JSON.parse(session).convidadosLista[i].confirmado)
          isInvited(i)
          }
        }
       
</script>


 